<?php
if (session_status() == PHP_SESSION_NONE) {
    session_start();
}

function sanitize_input($data) {
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    return $data;
}

function check_admin() {
    if (!isset($_SESSION['admin_id'])) {
        header('Location: pages/login.php');
        exit();
    }
}

function getTotalUsers($conn) {
    $stmt = $conn->prepare("SELECT COUNT(*) FROM users");
    $stmt->execute();
    return $stmt->fetchColumn();
}

function getTotalPackages($conn) {
    $stmt = $conn->prepare("SELECT COUNT(*) FROM packages");
    $stmt->execute();
    return $stmt->fetchColumn();
}

function getTotalSubscriptions($conn) {
    $stmt = $conn->prepare("SELECT COUNT(*) FROM subscriptions");
    $stmt->execute();
    return $stmt->fetchColumn();
}

function getTotalTickets($conn) {
    $stmt = $conn->prepare("SELECT COUNT(*) FROM tickets");
    $stmt->execute();
    return $stmt->fetchColumn();
}

if (!function_exists('getGravatarUrl')) {
    function getGravatarUrl($email, $size = 200) {
        $emailHash = md5(strtolower(trim($email)));
        return "https://www.gravatar.com/avatar/$emailHash?s=$size&d=mp";
    }
}
?>
