<?php
include '../../includes/db.php';
include '../../includes/functions.php';
check_admin();

$pageTitle = "Manage Subscriptions";
include '../includes/header.php';
include '../includes/sidebar.php';
include '../includes/topbar.php';
?>
<!-- Begin Page Content -->
<div class="container-fluid">
    <!-- Page Heading -->
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Manage Subscriptions</h1>
    </div>

    <!-- Content Row -->
    <div class="row">
        <div class="col-lg-12">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Subscription List</h6>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>User ID</th>
                                    <th>Package ID</th>
                                    <th>Status</th>
                                    <th>Start Date</th>
                                    <th>End Date</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $stmt = $conn->prepare("SELECT * FROM subscriptions");
                                $stmt->execute();
                                $subscriptions = $stmt->fetchAll(PDO::FETCH_ASSOC);
                                foreach ($subscriptions as $subscription):
                                    $status_class = $subscription['status'] === 'Active' ? 'text-success' : 'text-danger';
                                ?>
                                <tr>
                                    <td><?php echo htmlspecialchars($subscription['id']); ?></td>
                                    <td><?php echo htmlspecialchars($subscription['user_id']); ?></td>
                                    <td><?php echo htmlspecialchars($subscription['package_id']); ?></td>
                                    <td class="<?php echo $status_class; ?>"><?php echo htmlspecialchars($subscription['status']); ?></td>
                                    <td><?php echo htmlspecialchars($subscription['start_date']); ?></td>
                                    <td><?php echo htmlspecialchars($subscription['end_date']); ?></td>
                                    <td>
                                        <a href="edit_subscription.php?id=<?php echo htmlspecialchars($subscription['id']); ?>" class="btn btn-info btn-sm">Edit</a>
                                        <a href="delete_subscription.php?id=<?php echo htmlspecialchars($subscription['id']); ?>" class="btn btn-danger btn-sm">Delete</a>
                                    </td>
                                </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- /.container-fluid -->

<?php include '../includes/footer.php'; ?>
