<?php
include('../../includes/db.php');
include('../includes/functions.php');
check_admin();

$pageTitle = "Settings";

// Fetch settings from the database
$stmt = $conn->query("SELECT * FROM settings");
$settings = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Admin Settings</title>
    <link href="../assets/css/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/sb-admin-2.min.css" rel="stylesheet">
    <link href="../assets/css/custom.css" rel="stylesheet">
</head>
<body id="page-top">
    <div id="wrapper">
        <?php include('../includes/sidebar.php'); ?>
        <div id="content-wrapper" class="d-flex flex-column">
            <div id="content">
                <?php include('../includes/topbar.php'); ?>

                <div class="container-fluid">
                    <h1 class="h3 mb-4 text-gray-800">Settings</h1>
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Manage Settings</h6>
                        </div>
                        <div class="card-body">
                            <form method="post" action="save_settings.php">
                                <?php foreach ($settings as $setting): ?>
                                    <div class="form-group">
                                        <label for="<?php echo htmlspecialchars($setting['name']); ?>"><?php echo htmlspecialchars($setting['label']); ?></label>
                                        <input type="text" class="form-control" id="<?php echo htmlspecialchars($setting['name']); ?>" name="<?php echo htmlspecialchars($setting['name']); ?>" value="<?php echo htmlspecialchars($setting['value']); ?>">
                                    </div>
                                <?php endforeach; ?>
                                <button type="submit" class="btn btn-primary">Save Changes</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <?php include('../includes/footer.php'); ?>
        </div>
    </div>

    <script src="../assets/js/jquery.min.js"></script>
    <script src="../assets/js/bootstrap.bundle.min.js"></script>
    <script src="../assets/js/sb-admin-2.min.js"></script>
</body>
</html>
