<?php
include '../../includes/db.php';
include '../../includes/functions.php';
include '../../includes/send_mail.php';
check_user();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $user_id = $_SESSION['user_id'];
    $package_id = intval($_POST['package_id']);

    // Fetch package details
    $stmt = $conn->prepare("SELECT * FROM packages WHERE id = ?");
    $stmt->execute([$package_id]);
    $package = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($package) {
        // Update user's subscription in the database
        $stmt = $conn->prepare("UPDATE subscriptions SET package_id = ?, status = 'Active' WHERE user_id = ?");
        $stmt->execute([$package_id, $user_id]);

        if ($stmt->rowCount() > 0) {
            $user_email = $_SESSION['email'];
            $data = ['name' => $_SESSION['name'], 'package_name' => $package['name']];
            sendMail($user_email, 'subscription_activation_email.php', $data);

            header("Location: subscriptions.php?success=activated");
        } else {
            header("Location: subscriptions.php?error=1");
        }
    } else {
        header("Location: packages.php?error=notfound");
    }
}
?>
