<?php
include('../../includes/db.php');
include('../../includes/functions.php');
include('../../includes/bunnycdn.php');
check_login();
check_user();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $id = $_POST['id'];

    // Ensure the CDN belongs to the logged-in user
    $stmt = $conn->prepare("SELECT * FROM cdn_zones WHERE website_id = ? AND user_id = ?");
    $stmt->execute([$id, $_SESSION['user_id']]);
    $cdn = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($cdn) {
        $zoneId = $cdn['zoneid'];

        // Delete from BunnyCDN
        $response = deleteBunnyCdnPullZone($zoneId);

        if (isset($response['error'])) {
            header("Location: cdn.php?error=1");
            exit();
        }

        // Delete the CDN entry from the cdn_zones table
        $stmt = $conn->prepare("DELETE FROM cdn_zones WHERE website_id = ? AND user_id = ?");
        $stmt->execute([$id, $_SESSION['user_id']]);

        // Delete the CDN entry from the cdn_websites table
        $stmt = $conn->prepare("DELETE FROM cdn_websites WHERE id = ? AND user_id = ?");
        $stmt->execute([$id, $_SESSION['user_id']]);

        if ($stmt->rowCount() > 0) {
            header("Location: cdn.php?success=delete");
            exit();
        } else {
            header("Location: cdn.php?error=1");
            exit();
        }
    } else {
        header("Location: cdn.php?error=1");
        exit();
    }
} else {
    header("Location: cdn.php");
    exit();
}
?>
